Item Logo
Wms apiApi referenceOther query api

Picking Query

Picking Query API

Picking Query API is used to retrieve the details of a pick task within a warehouse management system. It returns information such as the specific picked weight or quantity. This article introduces the general Picking Query API for easily understanding and applying this API.

Introduction

Picking Query API helps streamline the picking process, ensuring that warehouse staff can efficiently retrieve items for order fulfillment. It’s to provide real time updates on picking tasks, enabling better warehouse operation management and improving the accuracy and speed of order processing.

API Request

API: POST /edi/outbound/picking/search-by-paging Body Request:

Body Parameter

Required

Description

Note

FacilityID

Y

Facility ID

"889"

CustomerID

Y

Customer ID

"AUKINT0001"

CompanyID

Y

Company ID

"LT"

Paging

N

Page Object

"PageNo": 2

API Return

It returns the picking list, for more detail, please refer to the following example.

Example

Request

json { "FacilityID":"889", "CustomerID":"AUKINT0001", "CompanyID":"LT", "Paging": { "PageNo": 2 } }

Response

json // Success return { "results": { "data": [], "head": [ "Task #", "Round #", "Planned Weight/Qty", "Picked Weight/Qty", "Diff Weight/Qty" ], "shortHead": [ "Task #", "Round #", "Planned Weight/Qty", "Picked Weight/Qty", "Diff Weight/Qty" ] }, "paging": { "totalCount": 0, "pageNo": 1, "totalPage": 0, "startIndex": 1, "endIndex": 0, "limit": 100 } }